// =====================================================================
//  $Id: Bt00EventAction.hh,v 1.3 2003/10/06 16:28:14 goiwai Exp $
//  $Name: CLDAQ-1-11-00 $
//  $Log: Bt00EventAction.hh,v $
//  Revision 1.3  2003/10/06 16:28:14  goiwai
//  *** empty log message ***
//
//  Revision 1.2  2003/07/30 16:13:49  goiwai
//  ファイルにコミットログをつけることにしました.
//
// =====================================================================
#ifndef __BT00EVENTACTION_HH
#define __BT00EVENTACTION_HH

#include "TEventAction.hh"

class TDataRecord;

class Bt00EventAction
  : public TEventAction
{

  public:
    Bt00EventAction();
    ~Bt00EventAction();

  public:
    TReadoutList* WaitEvent();
    Tvoid BeginOfEventAction( TEvent& anEvent );
    Tvoid EndOfEventAction( TEvent& anEvent );

  private:
    Tvoid fillCsIEventInformation( const TDataRecord& record );
    Tvoid fillScalerEventInformation( const TDataRecord& record );

};

#endif
